Appearance
Create Project Config
Create a new project configuration schema. Requires the PROJECT_MANAGEMENT feature flag and ADMIN or MANAGE_PROJECTS permissions.
Parameters
| name * are required parameters | data type | description |
|---|---|---|
body.name* | string | The display name of the project configuration |
body.description | string | An optional description of the project type |
body.fields | array | Field definitions for the project schema |
Return Value
The created project configuration schema.
Examples
bash
curl -X POST "https://app.wombat.software/api/{targetPath}/project-config" \
-H "Content-Type: application/json" \
-H "Authentication: Bearer ..." \
-d '{"name": "Construction Project", "description": "Template for construction projects"}'ENDPOINTS
post
/api/{targetPath}/project-config